Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4187 - Netscape 4.6 and 4.61 Bus error with certain html files
Summary: Netscape 4.6 and 4.61 Bus error with certain html files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-23 22:46 UTC by Brian Gunney
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-27 13:49:59 UTC


Attachments (Terms of Use)

Description Brian Gunney 1999-07-23 22:46:45 UTC
My netscape consistently makes "Bus error" crashes with
given html files, such as this one:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
     "http://www.w3.org/TR/REC-html40">
<html>
<head>
   <style type="text/css">
     body { margin: 5%; background-color: #cccc99 }
     p.even { color : green; border: none; }
     p.odd { color : red; border: none; }
   </style>
</head>
<body>
<p class=even>
More BIG NEWS: Once.
<p class=odd>
For Independence Day weekend 1999.
We visited the old farms and Lynn's childhood playgrounds
during the
Tuttles' visits to their Midwestern roots.
<p class=even>
BIG NEWS: We.
</body>
</html>

I'm running RH6.0.  The crash occurs with versions 4.6
(RH6.0 update) and 4.61 (from rawhide) of netscape.  My
system: i586 166Mhz MMX.  Running gnome 1.0.4.

Comment 1 Bill Nottingham 1999-07-26 17:05:59 UTC
Works for me here. What does /etc/X11/fs/config say in the
catalogue section?

Comment 2 Brian Gunney 1999-07-26 22:44:59 UTC
In /etc/X11/fs/config, it says
...
#
catalogue = /usr/X11R6/lib/X11/fonts/misc:unscaled,
	/usr/X11R6/lib/X11/fonts/75dpi:unscaled,
	/usr/X11R6/lib/X11/fonts/100dpi:unscaled,
	/usr/X11R6/lib/X11/fonts/misc,
	/usr/X11R6/lib/X11/fonts/Type1,
	/usr/X11R6/lib/X11/fonts/Speedo,
	/usr/share/fonts/default/Type1,
	/usr/X11R6/lib/X11/fonts/100dpi
...

Comment 3 Bill Nottingham 1999-07-26 22:48:59 UTC
do:

chkfontpath --add /usr/X11R6/lib/X11/fonts/75dpi
/etc/rc.d/init.d/xfs restart

Does that solve the problem?

Comment 4 Brian Gunney 1999-07-27 00:12:59 UTC
That solves it!


Note You need to log in before you can comment on or make changes to this bug.